JEEMA SMS Compatibility for Joomla 3.8.0

  • ramkumar
  • ramkumar's Avatar Topic Author
  • Offline
  • Administrator
  • Administrator
More
1 year 2 months ago #2297 by ramkumar
Hi Everyone,

This for the clients who are upgraded their website to Joomla 3.8.0. Others please ignore this.

The latest update of Joomla affecting JEEMA SMS in these places. Please do the below correction in the mentioned path.


JEEMA SMS

1.Path:Root folder/jeemasms_receivesms.php at line 24

Add '//' before the line.

require_once ( JPATH_BASE .'/libraries/joomla/factory.php' );

(to)

//require_once ( JPATH_BASE .'/libraries/joomla/factory.php' );

2. Path:Root folder/components/com_jeemasms/cron/reminder/socialreminder.php at line 8

Add '//' before the line.

require_once ( JPATH_BASE .DS.'libraries'.DS.'joomla'.DS.'factory.php' );

(to)

//require_once ( JPATH_BASE .DS.'libraries'.DS.'joomla'.DS.'factory.php' );


JEEMA SMS API

1.Path:Root folder/administrator/components/com_jeemasmsapi/controller.php at line 13

Add '//' before the line.


JHTML::_('stylesheet', 'smsapi.css', 'administrator/components/com_jeemasmsapi/css/');

(to)

//JHTML::_('stylesheet', 'smsapi.css', 'administrator/components/com_jeemasmsapi/css/');

2.Path:Root folder/sendsms.php at line 19

Add '//' before the line.

require_once ( JPATH_ROOT .'/libraries/joomla/factory.php' );

(to)

//require_once ( JPATH_ROOT .'/libraries/joomla/factory.php' );

3.Path:Root folder/balance.php at line 19

Add '//' before the line.

require_once ( JPATH_ROOT .'/libraries/joomla/factory.php' );

(to)

//require_once ( JPATH_ROOT .'/libraries/joomla/factory.php' );
The following user(s) said Thank You: ahmed

Please Log in or Create an account to join the conversation.

More
1 year 1 month ago #2298 by brad
I am running a fresh install of 3.8.1 on a dev site and was receiving an error which I just resolved. (At least the error has gone away and the send SMS form displays.)

Using your syntax this is what I did.

Path:Root folder/libraries/jeemasms/member/validate.php at line 19

require_once (JPATH_SITE .'/libraries/joomla/user/authentication.php');

(to)

//require_once (JPATH_SITE .'/libraries/joomla/user/authentication.php');
The following user(s) said Thank You: ahmed

Please Log in or Create an account to join the conversation.

More
9 months 6 days ago - 9 months 6 days ago #2334 by ahmed
I upgraded this week and faced some problems and solved them through these instructions
thank you
Last Edit: 9 months 6 days ago by ahmed.

Please Log in or Create an account to join the conversation.

Time to create page: 0.318 seconds
Powered by Kunena Forum